Package com.taosdata.jdbc

## Class TSDBResultSetRowData

- java.lang.Object
- - com.taosdata.jdbc.TSDBResultSetRowData

    public class TSDBResultSetRowData
    extends Object

### Constructor Summary

Constructors
`TSDBResultSetRowData()`
`TSDBResultSetRowData​(int colSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Object` `get​(int col)`
`boolean` `getBoolean​(int col, int srcType)`
`int` `getColSize()`
`ArrayList<Object>` `getData()`
`double` `getDouble​(int col, int srcType)`
`float` `getFloat​(int col, int srcType)`
`int` `getInt​(int col, int srcType)`
`long` `getLong​(int col, int srcType)`
`String` `getString​(int col, int srcType)` The original type may not be a string type, but will be converted to by calling this method
`Timestamp` `getTimestamp​(int col)`
`void` `setBoolean​(int col, boolean value)`
`void` `setByte​(int col, byte value)`
`void` `setByteArray​(int col, byte[] value)`
`void` `setColSize​(int colSize)`
`void` `setData​(ArrayList<Object> data)`
`void` `setDouble​(int col, double value)`
`void` `setFloat​(int col, float value)`
`void` `setInt​(int col, int value)`
`void` `setLong​(int col, long value)`
`void` `setShort​(int col, short value)`
`void` `setString​(int col, String value)`
`void` `setTimestamp​(int col, long ts)`
`boolean` `wasNull​(int col)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TSDBResultSetRowData

    public TSDBResultSetRowData​(int colSize)

#### TSDBResultSetRowData

    public TSDBResultSetRowData()

### Method Detail

#### clear

    public void clear()

#### wasNull

    public boolean wasNull​(int col)

#### setBoolean

    public void setBoolean​(int col,
                           boolean value)

#### getBoolean

    public boolean getBoolean​(int col,
                              int srcType)
                       throws SQLException

Throws:
  `SQLException`

#### setByte

    public void setByte​(int col,
                        byte value)

#### setShort

    public void setShort​(int col,
                         short value)

#### setInt

    public void setInt​(int col,
                       int value)

#### getInt

    public int getInt​(int col,
                      int srcType)
               throws SQLException

Throws:
  `SQLException`

#### setLong

    public void setLong​(int col,
                        long value)

#### getLong

    public long getLong​(int col,
                        int srcType)
                 throws SQLException

Throws:
  `SQLException`

#### setFloat

    public void setFloat​(int col,
                         float value)

#### getFloat

    public float getFloat​(int col,
                          int srcType)
                   throws SQLException

Throws:
  `SQLException`

#### setDouble

    public void setDouble​(int col,
                          double value)

#### getDouble

    public double getDouble​(int col,
                            int srcType)
                     throws SQLException

Throws:
  `SQLException`

#### setString

    public void setString​(int col,
                          String value)

#### setByteArray

    public void setByteArray​(int col,
                             byte[] value)

#### getString

    public String getString​(int col,
                            int srcType)
                     throws SQLException

The original type may not be a string type, but will be converted to by calling this method

Parameters:
  `col` - column index
Returns:
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp​(int col,
                             long ts)

#### getTimestamp

    public Timestamp getTimestamp​(int col)

#### get

    public Object get​(int col)

#### getColSize

    public int getColSize()

#### setColSize

    public void setColSize​(int colSize)

#### getData

    public ArrayList<Object> getData()

#### setData

    public void setData​(ArrayList<Object> data)